GDB (xrefs)

Public Member Functions | List of all members
gdb.function.strfns._RegEx Class Reference
Inheritance diagram for gdb.function.strfns._RegEx:

## Public Member Functions
def | __init__ (self)
def | invoke (self, string, regex)
def | __init__ (self)
def | invoke (self, string, regex)

## Detailed Description

    $_regex - check if a string matches a regular expression

    Usage:
    $_regex(string, regex)

    Returns:
    True if string str (in the current language) matches the
    regular expression regex.

Definition at line 85 of file strfns.py.

## Constructor & Destructor Documentation

## ◆ __init__() [1/2]

def gdb.function.strfns._RegEx.__init__ | ( |  | self | ) |

Definition at line 95 of file strfns.py.

Referenced by gdb.function.strfns._RegEx.__init__().

## ◆ __init__() [2/2]

def gdb.function.strfns._RegEx.__init__ | ( |  | self | ) |

Definition at line 95 of file strfns.py.

References gdb.function.strfns._RegEx.__init__().

## Member Function Documentation

## ◆ invoke() [1/2]

def gdb.function.strfns._RegEx.invoke | ( |  | self,
|  |  | string,
|  |  | regex
| ) |  |

Definition at line 98 of file strfns.py.

Referenced by gdb.function.strfns._RegEx.invoke().

## ◆ invoke() [2/2]

def gdb.function.strfns._RegEx.invoke | ( |  | self,
|  |  | string,
|  |  | regex
| ) |  |

Definition at line 98 of file strfns.py.

References gdb.function.strfns._RegEx.invoke().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/data-directory/python/gdb/function/strfns.py